Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleInspectorWindow

    java.lang.Object
      com.ibm.able.editor.AbleInspectorWindow

All Implemented Interfaces:
  AbleInspectorHolder, java.io.Serializable

public class AbleInspectorWindow
extends java.lang.Object
implements AbleInspectorHolder, java.io.Serializable

This class is the window for an Able Inspector

See Also:
  Serialized Form

Constructor Summary
`AbleInspectorWindow(javax.swing.JFrame theParentFrame, AbleInspector theInspectorFrame)` Construct a new Able Inspector window based on the specified inspector object.
`AbleInspectorWindow(javax.swing.JFrame theParentFrame, AbleViewObject theViewObject)` Construct a new Able Inspector window based on the specified view object.

Method Summary
`void` | `deiconifyFrame()`
`void` | `dispose()`
`AbleInspector` | `getInspector()` Return the underlying Inspector object
`AbleEditorFrame` | `getParent()` Return the parent Frame
`static void` | `main(java.lang.String[] args)`
`void` | `refresh()`
`void` | `requestFocus()`
`void` | `setFrameTitle(java.lang.String theTitle)`
`void` | `setInspectorContext(AbleInspectorContext theContext)` Set the Inspector context after a restore
`void` | `setVisible(boolean theVisibleFlag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleInspectorWindow

    public AbleInspectorWindow(javax.swing.JFrame theParentFrame,
                               AbleInspector theInspectorFrame)

  Construct a new Able Inspector window based on the specified inspector object. This constructor is used during restore or load of a serialized AbleAgent.

### AbleInspectorWindow

    public AbleInspectorWindow(javax.swing.JFrame theParentFrame,
                               AbleViewObject theViewObject)

  Construct a new Able Inspector window based on the specified view object.

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `AbleInspectorHolder`

### setVisible

    public void setVisible(boolean theVisibleFlag)

### requestFocus

    public void requestFocus()

### deiconifyFrame

    public void deiconifyFrame()

### refresh

    public void refresh()

### getParent

    public AbleEditorFrame getParent()

  Return the parent Frame

### getInspector

    public AbleInspector getInspector()

  Return the underlying Inspector object

### setInspectorContext

    public void setInspectorContext(AbleInspectorContext theContext)

  Set the Inspector context after a restore

### setFrameTitle

    public void setFrameTitle(java.lang.String theTitle)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005